#ifndef FENG_H
#define FENG_H 



#include "coord.h"
#include "zbuffer.h"

extern double FE_dh,FE_dv,FE_roulis;
extern FE_position FE_user;

/*** FE_new_frame()
 * This function displays las frame content and prepares the next frame
 * Then, you have to use this in that order :
 * while (1) {
 * FE_new_frame()
 * calculating...
 * displaying model
 * post rendering functions
 * }
**/
void FE_new_frame(void); // calls move function

/** FE_get_fps_current()
 * return a fps number based on the last frame
**/
unsigned int  FE_get_fps_current(void);

/** FE_get_fps_min()
 * return minimal fps number since the addin started
**/
unsigned int  FE_get_fps_min(void);

/** FE_get_fps_max()
 * return maximal fps number since the addin started
**/
unsigned int  FE_get_fps_max(void);

/** FE_get_fps_history()
 * returns minimal, current and maximal fps number since the addin started
 * the type is a char* and the fps are set using its format : min/current/max
**/
char* FE_get_fps_history(void);


#endif