#ifndef FE_KEYBOARD
#define FE_KEYBOARD

#include <gint/keyboard.h>
#include <gint/keycodes.h>
#include <stdint.h>

/* FE_keyboard: gestion evenementielle du clavier
   on peut assigner des callbacks à certains evènements définis dans gint
   les arguments envoyés sont le code de la touche en question (event.key)
   le type d'evenement (event.type)
   void (*callback)(void)
   la fonction à exécuter en cas de pression sur une touche 
   la fonction reload est appelée à la demande de l'utilisateur et appelle tous les callbacks dans l'ordre */

typedef void (*callback)(void);

void FE_keyboard_set_key(uint32_t matrix_code, uint32_t ev_type, callback function);

void FE_keyboard_reload();

#endif